Subject: Re: [EAI] #1481 HDR=UTF8 argument - status, and request for input

From: Chris Newman <[email-masked]>
Date: Mon, 09 Apr 2007 15:15:56 -0700

As a technical participant, I find the ability to bounce at RCPT TO for servers 
without down-convert capability a significant but not compelling benefit for 
HDR=UTF8.  The added complexity of another SMTP parameter combined with the 
delay it will cost in word smithing to get the text right for the precise 
meaning of the parameter makes me lean slightly towards not having the 
parameter.

                - Chris

Harald Alvestrand wrote on 3/26/07 19:25 +0200:

> Hello,
>
> as I see the current status with HDR=UTF8, we have:
>
> - The WG meeting in Prague discussed it, and found no particular advantage in
> using it, for the same reason as with the header marker: The recipient, in
> order to be certain about the format of a message, has to parse the message
> anyway, so the flag will at best be a warning, and at worst it can generate
> silly states when it is wrong.
>
> - After the WG meeting, the argument was raised (or, at least, I did not
> understand it until after the meeting) that IF an MTA does NOT implement
> downconversion, BUT handles mail for some recipients that are able to receive
> UTF8SMTP mail, AND some recipients that are not so capable, the HDR=UTF8 flag
> will give the MTA the ability to reject the recipients for which it cannot
> handle the message, and accept the recipients for which it assumes that
> UTF8SMTP delivery will succeed.
>
> There are two other alternatives:
> - Say that an MTA MUST implement either conversion or return of an error
> message, after delivery
> - Say that an MTA can return a 5xx reply to the DATA command, rejecting the
> message for all recipients.
>
> So far, we have heard from Kari, Charles and Frank on this issue.
>
> I would like the other participants in the WG to weigh in with opinions; I
> have created #1481 to make it easy to keep track of this one separate from
> other issues.
>
>                    Harald
>
>
>
> _______________________________________________
> IMA mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ima
>

_______________________________________________
IMA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ima